UbixOS V2 2.0

Data Fields
sys_thread Struct Reference

`#include <sys_arch.h>`

Collaboration diagram for sys_thread:

## Data Fields
char | name [128]
struct sys_thread * | next
struct sys_timeouts | timeouts
kTask_t * | ubthread

## Detailed Description

Definition at line 43 of file sys_arch.h.

## Field Documentation

## ◆ name

char sys_thread::name[128]

Definition at line 47 of file sys_arch.h.

## ◆ next

struct sys_thread* sys_thread::next

Definition at line 44 of file sys_arch.h.

## ◆ timeouts

struct sys_timeouts sys_thread::timeouts

Definition at line 45 of file sys_arch.h.

## ◆ ubthread

kTask_t* sys_thread::ubthread

Definition at line 46 of file sys_arch.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/arch/sys_arch.h